# - Try to find QtSingleApplication
# Once done this will define
#
#  QTSINGLEAPPLICATION_FOUND - System has QtSingleApplication
#  QTSINGLEAPPLICATION_INCLUDE_DIRS - QtSingleApplication include directories
#  QTSINGLEAPPLICATION_LIBRARIES - Link these to use QtSingleApplication
#  QTSINGLEAPPLICATION_DEFINITIONS - Compiler switches required for using QtSingleApplication

# Copyright (C) 2010  Tanguy Krotoff <tkrotoff@gmail.com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.


set(QTSINGLEAPPLICATION_DEFINITIONS -DQT_QTSINGLEAPPLICATION_IMPORT)

find_path(QTSINGLEAPPLICATION_INCLUDE_DIRS
  NAMES
    QtSingleApplication
  PATHS
    /usr/include/x86_64-linux-gnu/qt5/QtSolutions
)

find_library(QTSINGLEAPPLICATION_LIBRARIES
  NAMES
    Qt5Solutions_SingleApplication-head
)

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(QtSingleApplication DEFAULT_MSG QTSINGLEAPPLICATION_INCLUDE_DIRS QTSINGLEAPPLICATION_LIBRARIES)
